Issue 75941 - PDF Export Creates A4 MediaBox
Summary: PDF Export Creates A4 MediaBox
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: OOo 2.2
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: h.ilter
QA Contact: issues@gsl
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2007-03-31 00:17 UTC by avartanian
Modified: 2009-07-20 14:52 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
My export results (32.88 KB, application/vnd.oasis.opendocument.text)
2007-06-22 15:41 UTC, Rainer Bielefeld
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description avartanian 2007-03-31 00:17:35 UTC
File -> Export as PDF... on standard letter-sized documents creates an
incorrectly sized (A4) MedaBox within the PDF. The MediaBox seems to be defined
in this tag within the PDF:

<</Type/Pages
/Resources 11 0 R
/MediaBox[ 0 0 595 842 ]
/Kids[ 1 0 R ]
/Count 1>>

Since both media boxes exist(and I am uncertain up their relationship to each
other), Acrobat and a few other PDF processors do not report problems with the
document. However, some such as ImageMagick incorrectly report the size as
612x842 (the wider of both media boxes).

Saving through Acrobat 8.0 destroys this A4-sized MediaBox, leaving only the one
letter-sized MediaBox.

This has been observed on Linux and Windows, versions 2.0.4 & 2.2.

This problem seems to be general to exporting, and so affects exports from any
of the import formats OO reads.
Comment 1 michael.ruess 2007-04-02 09:09:20 UTC
Reassigned to HI.
Comment 2 Rainer Bielefeld 2007-06-22 15:39:21 UTC
I checked with "2.2.1  Multilingual German version WIN XP: [680m18(Build9161)]"
and can confirm the to MediaBox objects in the PDF code, but no idea what that
might mean.

Pls. compare MediaBox results in my attachment "MediaBox results"

From a CALC document test the second MediaBox remains for all page sizes, and
the first MediaBox, what was page size related in WRITER, became page size
independent (always "<</Type/Page/Parent 4 0 R/Resources 6 0 R/MediaBox[0 0
10000 10000]")

Change Component due to CALC results, but no confirmation because of my poor PDF
knowledge.
Comment 3 Rainer Bielefeld 2007-06-22 15:41:53 UTC
Created attachment 46184 [details]
My export results
Comment 4 Rainer Bielefeld 2007-06-22 16:05:13 UTC
I read several information about PDF and all I read seems to say that there may
be only one Media box. So I confirm. 
Comment 5 h.ilter 2007-06-25 10:13:57 UTC
HI->PL: Please have a look.
Comment 6 philipp.lohmann 2007-06-25 11:01:29 UTC
PDF supports a MediaBox for both page objects and the pages dictionary (which
contains all page objects). Moreover the MediaBox may be different for every
page (similar to different page sizes in one OOo document). The notion that
there may be only one MediaBox is just plain wrong (please have a look at
chapter 3 of the PDF reference).

However the MediaBox in the current Pages object is just a default value, that
is always overridden by the individual pages. It would make more sense to write
the largest MediaBox here or none at all. I think I'll opt to write the largest
one of all contained pages.
Comment 7 philipp.lohmann 2007-11-30 10:59:47 UTC
target
Comment 8 philipp.lohmann 2008-02-27 17:14:28 UTC
The MediaBox of the pages object will now be the maximum width and height of all
contained pages.

committed in CWS vcl87
Comment 9 philipp.lohmann 2008-03-12 18:08:30 UTC
seen in DEV300m2, clsoing
Comment 10 philipp.lohmann 2008-03-12 18:09:14 UTC
oops, sorry wrong issue. still just fixed in CWS vcl87
Comment 11 philipp.lohmann 2008-03-18 16:01:11 UTC
please verify in CWS vcl87
Comment 12 h.ilter 2008-03-25 14:29:06 UTC
Verified with cws vcl87 = OK
Comment 13 thorsten.ziehm 2009-07-20 14:52:07 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues